
QGIS Application - Bug report #9630

Identify on WMS layers broken

2014-02-24 02:33 AM - Victor Axbom

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Web Services clients/WMS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 18203

Description

Nothing happens when trying to use the identify tool on a WMS layer on master. This message is logged:

Map getfeatureinfo error: Cannot open

/?SERVICE=WMS&VERSION=1.3.0&REQUEST=GetFeatureInfo&BBOX=6374566.55399399250745773,153470.79550213797483593,6374788.18416313454508781,15390

483593,6374788.18416313454508781,153902.30865831207484007&CRS=EPSG:3007&WIDTH=1102&HEIGHT=566&LAYERS=kba:gcbland&STYLES=&FORMAT=image/png&QUERY_LAYERS=kba:gcbland&INFO_FORMAT=text/html&I=352&J=329&FEATURE_COUNT=10: Path is a directory [/

S=kba:gcbland&STYLES=&FORMAT=image/png&QUERY_LAYERS=kba:gcbland&INFO_FORMAT=text/html&I=352&J=329&FEATURE_COUNT=10: Path is a directory [/?SERVICE=WMS&VERSION=1.3.0&REQUEST=GetFeatureInfo&BBOX=6374566.55399399250745773,153470.79550213797483593,6374788.18416313454508781,153902.30865831207484007&CRS=EPSG:3007&WIDTH=1102&HEIGHT=566&LAYE

FEATURE_COUNT=10: Path is a directory

[/?SERVICE=WMS&VERSION=1.3.0&REQUEST=GetFeatureInfo&BBOX=6374566.55399399250745773,153470.79550213797483593,6374788.18416313454508781,153902.30865831207484007&CRS=EPSG:3007&WIDTH=1102&HEIGHT=566&LAYERS=kba:gcbland&STYLES=&FORMAT=image/png&QUERY_LAYERS=kba:gcbland&INFO_FORMAT=text/html&I=352&J=329&FEATURE_COUNT=10]


7483593,6374788.18416313454508781,153902.30865831207484007&CRS=EPSG:3007&WIDTH=1102&HEIGHT=566&LAYERS=kba:gcbland&STYLES=&FORMAT=image/png&QUERY_LAYERS=kba:gcbland&INFO_FORMAT=text/html&I=352&J=329&FEATURE_COUNT=10]


RS=kba:gcbland&STYLES=&FORMAT=image/png&QUERY_LAYERS=kba:gcbland&INFO_FORMAT=text/html&I=352&J=329&FEATURE_COUNT=10]


&FEATURE_COUNT=10]

Associated revisions

Revision 33a8b634 - 2014-02-27 10:28 PM - Jürgen Fischer

wms provider: fix feature info (fixes #9630)

History

#1 - 2014-02-27 09:39 AM - Giovanni Manghi

- OS version deleted (7)

- Operating System deleted (Windows)

- Priority changed from High to Severe/Regression

Confirmed here

Map getfeatureinfo error: Protocol "" is unknown

[?SERVICE=WMS&VERSION=1.1.1&REQUEST=GetFeatureInfo&BBOX=-39438.70014771050773561,-75120.03420663920405786,-1285.08124076807871461,-44909.50789084970892873&SRS=EPSG:3763&

07871461,-44909.50789084970892873&SRS=EPSG:3763&WIDTH=855&HEIGHT=677&LAYERS=CLC06_PT&STYLES=&FORMAT=image/png&QUERY_LAYERS=CLC06_PT&INFO_FORMAT=application/vnd.ogc.gml&X=288&Y=241&FEATURE_COUNT=10]

ERY_LAYERS=CLC06_PT&INFO_FORMAT=application/vnd.ogc.gml&X=288&Y=241&FEATURE_COUNT=10]

#2 - 2014-02-27 01:28 PM - Jürgen Fischer

- Status changed from Open to Closed
Fixed in changeset commit:"33a8b6344b006696dec3322f7e6336fc69267fdf".
